
-- NOTE: B/C this addon has very few strings, all localization is done in this single file

function myUI.BuffBoxes:LoadLanguage()
	local lang = Inspect.System.Language()
	local r
	
	if (lang == "jibberish") then
		r = {}
	else
		r = {
			["disease"] = "Disease",
			["curse"] = "Curse",
			["poison"] = "Poison",
			["Duration"] = "Duration",
			["mage"] = "Mage",
			["cleric"] = "Cleric",
			["rogue"] = "Rogue",
			["warrior"] = "Warrior",
			["Enabled"] = "Enabled",
			["Anchor"] = "Anchor to:",
			["Screen"] = "Screen",
			["myUI Unit Frame"] = "Unit Frame*",
			["X-Offset:"] = "X-Offset:",
			["Y-Offset:"] = "Y-Offset:",
			["Buff Size:"] = "Buff Size:",
			["Max Columns:"] = "Max Columns:",
			["Max Rows:"] = "Max Rows:",
			["Grow:"] = "Grow:",
			["Up"] = "Up",
			["Down"] = "Down",
			["Left"] = "Left",
			["Right"] = "Right",
			["Show Buffs:"] = "Show buffs cast by:",
			["Show Debuffs:"] = "Show debuffs cast by:",
			["myUI Unit Frames required"] = "* Requires myUI Unit Frames",
			["Self"] = "Me",
			["Others"] = "Others",
			["Player"] = "Player",
			["Target"] = "Target",
			["Target Target"] = "Target Target",
			["Pet"] = "Pet",
			["Pet Target"] = "Pet Target",
			["Raid"] = "Raid",
			["Raid Pets"] = "Raid Pets",
			["Focus"] = "Focus",
			["Focus Target"] = "Focus Target",
			["Mouseover"] = "Mouseover",
			["Mouseover Target"] = "Mouseover Target",
			["Apply"] = "Apply", 
			["Spacing"] = "Col/Row Spacing:",
			
			["Invalid value"] = "You have specified an invalid value. \n\nPlease check you entries and try again.",
			["Bad X"] = "The specified X-offset is outside the acceptable range.",
			["Bad Y"] = "The specified Y-offset is outside the acceptable range.",
			["Bad CXY"] = "The specified buff size is outside the acceptable range.",
			["Bad Cols"] = "The specified maximum columns is outside the acceptable range.",
			["Bad Rows"] = "The specified maximum rows is outside the acceptable range.",
			["Bad Col Spacing"] = "The specified column spacing is outside the acceptable range.",
			["Bad Row Spacing"] = "The specified row spacing is outside the acceptable range.",
			
			["White Lists"] = "White Lists:",
			["Black Lists"] = "Black Lists:",
			["List Instructions"] = "Enter the names of one or more myUI Lists seperated by commas. "
				.. "\n\nIf only White Lists are entered, then only buffs/debuffs in that list will be shown."
				.. "\n\nIf only Black Lists are entered, then all buffs/debuffs except those in the list will be shown."
				.. "\n\nIf both Black and White Lists are specified, then only buffs/debuffs in the white list will be shown "
				.. "with the black list overriding those if it specifies they not be shown.",
			["Missing White Lists"] = "One or more of the specified white lists do not exist.",
			["Missing Black Lists"] = "One of more of the specified black lists do not exist.",
		}
	end
	
	return r
end
