
-- NOTE: B/C this addon has very few strings, all localization is done in this single file

function myUI.UnitFrames:LoadLanguage()
	local lang = Inspect.System.Language()
	local r
	
	if (lang == "jibberish") then
		r = {}
	else
		r = {
			["Offline"] = "Offline",
			["AFK"] = "AFK",
			["Dead"] = "(Dead)",
			["Unknown"] = "(Unknown)",
			["Warfront"] = "(Warfront)",
			["Enabled"] = "Enabled",
			["Anchor"] = "Anchor to Screen:",			
			["X-Offset:"] = "X-Offset:",
			["Y-Offset:"] = "Y-Offset:",
			["CX:"] = "Width:",
			["CY:"] = "Height:",
			["Player"] = "Player",
			["Target"] = "Target",
			["Target Target"] = "Target Target",
			["Pet"] = "Pet",
			["Pet Target"] = "Pet Target",
			["Raid"] = "Raid",
			["Raid Pets"] = "Raid Pets",
			["Focus"] = "Focus", 
			["Focus Target"] = "Focus Target",
			["Mouseover"] = "Mouseover",
			["Mouseover Target"] = "Mouseover Target",
			["Apply"] = "Apply", 
			["Spacing"] = "Col/Row Spacing:",
			["Follow Mouse"] = "Follow Mouse",
			["Show:"] = "Show:",
			["Compact"] ="Compact Mode",
			["Left"] = "Align Left",
			["Right"] = "Align Right",
			["Top"] = "Align Top",
			["Bottom"] = "Align Bottom",
			["PvP"] = "PvP Flag",
			["Vitality"] = "Vitality",
			["Level"] = "Level",
			["Portrait"] = "Portrait",
			["Power Values"] = "Power Values",
			["Power %"] = "Power %",
			["Health Values"] ="Health Values",
			["Health %"] = "Health %",
			["Titlebar"] = "Titlebar",
			["Castbar"] = "Castbar",
			["Role"] = "Role",
			["Planar"] = "Planar Charge",
			["Ready"] = "Ready Check",
			["Raid Mark"] = "Raid Mark",
			["Buff Warning"] = "Buff Warning",
			["Loot"] = "Loot",
			["Charge"] = "Charge",
			
			["Invalid value"] = "You have specified an invalid value. \n\nPlease check you entries and try again.",
			["Bad X"] = "The specified X-offset is outside the acceptable range.",
			["Bad Y"] = "The specified Y-offset is outside the acceptable range.",
			["Bad CX"] = "The specified width is outside the acceptable range.",
			["Bad CY"] = "The specified height is outside the acceptable range.",
			["Bad Col Spacing"] = "The specified column spacing is outside the acceptable range.",
			["Bad Row Spacing"] = "The specified row spacing is outside the acceptable range.",
		}
	end
	
	return r
end
