
function myUI:LoadLanguage()
	local lang = Inspect.System.Language()
	local r
	
	if (lang == "jibberish") then
		r = {}
	else
		r = {
			["myUI Core"] = "myUI Core",
			["myUI Core loaded, Version "] = "myUI Core loaded, Version ",
			[" loaded, Version "] = "loaded, Version ",
			["slash use"] = "myUI slash-command usage:",
			["name"] = "name",
			["profile list"] = "Lists all saved profiles for this account.",
			["profile load"] = "Activates the specified profile.",
			["version"] = "Shows the version in use.",
			["modules"] = "Lists myUI modules in use.",
			["reloadui"] = "* Requires /reloadui to take effect.",
			["not implemented"] = "!!!! this command not yet implemented",
			["(enabled)"] = "(enabled)",
			["modules:"] = "modules:",
			["Version "] = "Version ",
			["myUI Profile Dump ("] = "myUI Profile Dump (",
			["OK"] = "OK", 
			["Cancel"] = "Cancel",
			["Yes"] = "Yes",
			["No"] = "No",
			["General"] = "General",			
			["GeneralMsg"] = "Welcome to myUI Beta !\n\nWhile I hope to have this ready for general release soon, this addon suite is still in Beta. " 
				.. "I hope the bugs are at a minimum, although some surely exist. If you encounter any bugs, please leave as much detailed information " 
				.. "about them as possible at the site from which you've downloaded this Beta.\n\nThanks for helping get myUI ready for general release!"
				.. "\n\nHere's a little bit of information about myUI. myUI is not a single addon but rather a suite of related addons that utilitize a common "
				.. "framework to achieve synergies and efficiencies not possible by a similar number of stand-alone addons. The only required addon in the suite "
				.. "is myUI. This is the base framework provider and is needed by all other myUI add-ons. myUI Config is highly recommended, as it provides the "
				.. "configuration GUI that you're using right now! All other myUI-family addons are optional and you only need enable those you want to use. "				
				,			
			["Profiles"] = "Profiles",
			["ProfilesMsg"] = "Profiles represent a group of settings for myUI-family addons. When myUI starts up, it uses the settings "
				.. "from your current 'Active' profile. You can have as many different profiles as you'd like but only one can be active at "
				.. "any one time. "
				.. "\n\nThe active profile setting is stored on a character basis, while all profiles are available for use by all characters."
				.. "\n\nYou can change your active profile using this screen, or with the myUI command-line options "
				.. "(which are well suited for macro'ing)."				
				.. "\n\nNote that at this time, after changing active profiles you will need to enter "
				.. "\"/reloadui\" in your Rift chat window for the changes to take effect.",
			["New Profile"] = "New Profile",
			["New Profile Instructions"] = "Enter a name for your new profile.",
			["Profile Already Exists"] = "A profile with that name already exists.",
			["Profile Created"] = "Your new profile has been created. \n\nYou must activate it for changes to your settings to be applied to it.",
			["Copy Profile"] = "Copy Profile",
			["Delete Profile"] = "Delete Profile",
			["Activate Profile"] = "Activate Profile",
			["Current Profiles"] = "Current Profiles:",
			["Active Profile"] = "Active Profile: ",
			["Profile Activated"] = " has been activated.\n\nYou must enter \"/reloadui\" in your Rift chat window for this change to take effect.",
			["Confirm Profile Delete"] = "Are you sure you want to delete this profile?",
			["Fonts"] = "Fonts",
			["FontsMsg"] = "You can change the global font for all myUI-family addons using the options below. In a future release, you will be able to add and use your own true-type fonts.",
			["FontUpdate"] = " Change Font",
			["FontPreview"] = "AaBbCcDcEeFfGe\n1234567890",
			["FontWarning"] = "* Note that changing fonts may adversely affect the layout of some UI elements. "
				.. "If this happens, use /reloadui to allow UI elements to size themselves properly for the new font.",
			["(default)"] = "(default)",
			["Performance"] = "Performance",
			["Max Update"] = "Update speed:",
			["Max Update Desc"] = "(Lower CPU-usage <----> Faster updating)",
			["Enable Adaptive Updating"] = "Enable Adaptive Updating",
			["Adaptive Updating Tooltip"] = "Adaptive updating allows the addon to dynamically limit information updates during high-intensity situations, "
				.. "while keeping a more responsive Update Speed setting for more typical usage.",
			["Max Animation"] = "Animation speed:",
			["Max Animation Desc"] = "(Lower CPU-usage <----> Smoother animation)",
			["Update/Second"] = "Updates/second: ",
			["Module ID"] = "Module ID",
			["CPU Usage"] = "CPU %",
			["CPU Warning"] = "* CPU usage represents immediate usage and disregards any exponentially-weighted past usage statistics."
				.. "\n\n** Many myUI modules will show 0% usage because they use myUI Core's event model rather than Rift's, which routes "
				.. "their code execution paths through myUI Core.",
			["Simulate Performance"] = "Simulate Worst-Case Performance:",
			["Simulate Begin"] = "Begin",
			["Simulate End"] = "End",
			["Simulate Tooltip"] = "Simulation involves worst-case performance resulting from unit information changing every update interval. "
				.. "The resulting CPU-usage statistics represent the absolute most CPU power that the addon(s) is/are capable of consuming.",
			["Full Name"] = "Full Name",
			["Lists"] = "Lists",
			["ListsMsg"] = "Lists in myUI can be used for multiple purposes. An example would be for white/black lists for buff display. "
				.. "In the preceding example, you would create a list, call it \"my good buffs\" and then add the names of all the buffs "
				.. "that you want tracked to it. Then, for any modules that support white/black lists, you can use the name of your list, "
				.. "\"my good buffs\", in the \"White List\" field for that buff module.",
			["Current Lists:"] = "Current Lists:",
			["Add List"] = "Add List",
			["Add List Instructions"] = "Enter a name for your new list.",
			["Delete List"] = "Delete List",
			["Delete List Confirm"] = "Are you sure you want to delete this list?",
			["Copy List"] = "Copy List",
			["Copy List Instructions"] = "Enter a name for the new list.",
			["Rename List"] = "Rename List",
			["List Exists"] = "A list with that name already exists.",
			["Bad List Name"] = "List names may contain letter, numbers and spaces.",
			["List Entries:"] = "List Entries:",
			["Add List Entry"] = "Add Entry",
			["Add List Entry Instructions"] = "Enter a name for the new list entry.",
			["List Entry Exists"] = "A list entry with that name already exists.",
			["Delete List Entry"] = "Delete Entry",
			
		}
	end
	
	return r
end
