myUI_Account = {
	AdaptiveUpdate = true,
	ConfigUI = {
		x = 1173.3334960938,
		y = 88.88890838623
	},
	Fonts = {
		{
			defaultSize = 14,
			file = "$Flareserif_medium",
			name = "Rift Default",
			src = "Rift"
		},
		{
			defaultSize = 15,
			file = "fonts/arial.ttf",
			name = "Arial",
			src = "myUI"
		},
		{
			file = "fonts/EXCITE__.ttf",
			name = "Excite",
			src = "myUI"
		},
		{
			file = "fonts/Groovy Fast.ttf",
			name = "Groovy Fast",
			src = "myUI"
		},
		{
			defaultSize = 12,
			file = "fonts/HighlandGothicFLF.ttf",
			name = "Highland Gothic",
			src = "myUI"
		},
		{
			file = "fonts/LiberationMono-Regular.ttf",
			name = "Liberation",
			src = "myUI"
		},
		{
			file = "fonts/PermanentMarker.ttf",
			name = "Permanent Marker",
			src = "myUI"
		},
		{
			file = "fonts/Sansumi-Bold.ttf",
			name = "Sansumi",
			src = "myUI"
		}
	},
	Lists = {
		["Buffs I dont need to see"] = {
			["Breath of the Abyssal"] = true,
			Rested = true,
			["Shadow Sight"] = true
		}
	},
	Profiles = {
		default = {
			BuffBars = {
				Barsets = {
					player = {
						anchor = "UF",
						anchorFrom = "TOPRIGHT",
						anchorTo = "BOTTOMCENTER",
						blackLists = "",
						cxBar = 240,
						cyBar = 18,
						enabled = false,
						grow = "DOWN",
						maxAuras = 20,
						minDuration = 600,
						otherBuffs = true,
						otherDebuffs = true,
						ownBuffs = true,
						ownDebuffs = true,
						whiteLists = "",
						x = 0,
						y = 0
					},
					["player.target"] = {
						anchor = "SCREEN",
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPLEFT",
						blackLists = "",
						cxBar = 240,
						cyBar = 20,
						enabled = false,
						grow = "DOWN",
						maxAuras = 20,
						minDuration = 600,
						otherBuffs = true,
						otherDebuffs = true,
						ownBuffs = true,
						ownDebuffs = true,
						whiteLists = "",
						x = 700,
						y = 1000
					}
				},
				Enabled = true,
				FirstRun = true,
				Version = "0.2.0"
			},
			BuffBoxes = {
				Boxsets = {
					player = {
						anchor = "UF",
						anchorFrom = "BOTTOMRIGHT",
						anchorTo = "TOPRIGHT",
						blackLists = "Buffs I dont need to see",
						cxyBox = 36,
						enabled = true,
						growHorz = "LEFT",
						growVert = "UP",
						maxCols = 8,
						maxRows = 2,
						otherBuffs = true,
						otherDebuffs = true,
						ownBuffs = true,
						ownDebuffs = true,
						whiteLists = "",
						x = 0,
						y = 0
					},
					["player.pet"] = {
						anchor = "UF",
						anchorFrom = "BOTTOMRIGHT",
						anchorTo = "TOPRIGHT",
						blackLists = "",
						cxyBox = 36,
						enabled = true,
						growHorz = "LEFT",
						growVert = "UP",
						maxCols = 8,
						maxRows = 2,
						otherBuffs = true,
						otherDebuffs = true,
						ownBuffs = true,
						ownDebuffs = true,
						whiteLists = "",
						x = 700,
						y = 600
					},
					["player.target"] = {
						anchor = "UF",
						anchorFrom = "BOTTOMLEFT",
						anchorTo = "TOPLEFT",
						blackLists = "",
						cxyBox = 36,
						enabled = true,
						growHorz = "RIGHT",
						growVert = "UP",
						maxCols = 8,
						maxRows = 2,
						otherBuffs = true,
						otherDebuffs = false,
						ownBuffs = false,
						ownDebuffs = true,
						whiteLists = "",
						x = 0,
						y = 0
					}
				},
				Enabled = true,
				FirstRun = true,
				Version = "0.2.0"
			},
			ComboTracker = {
				Enabled = true,
				FirstRun = true,
				Version = "0.2.0",
				anchor = "TOPCENTER",
				curve = 4,
				cx = 240,
				spacing = 4,
				x = 0,
				y = 550
			},
			Config = {
				Enabled = true,
				FirstRun = true,
				Version = "0.2.0"
			},
			UnitFrames = {
				Enabled = true,
				FirstRun = true,
				Frames = {
					focus = {
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPLEFT",
						cx = 160,
						cy = 40,
						enabled = true,
						followMouse = false,
						showCastBar = true,
						showCharge = false,
						showHealthAsPercent = false,
						showHealthText = true,
						showLevel = true,
						showLoot = true,
						showMark = true,
						showPlanar = false,
						showPortrait = true,
						showPowerAsPercent = false,
						showPowerText = true,
						showPvP = true,
						showReady = false,
						showRole = true,
						showTitleBar = true,
						showVitality = false,
						x = 350,
						y = 810
					},
					group01 = {
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPLEFT",
						colspacing = 4,
						cx = 160,
						cy = 67,
						enabled = true,
						followMouse = false,
						rowspacing = 4,
						showCastBar = false,
						showCharge = false,
						showHealthAsPercent = false,
						showHealthText = true,
						showLevel = false,
						showLoot = true,
						showMark = true,
						showPlanar = false,
						showPortrait = false,
						showPowerAsPercent = false,
						showPowerText = false,
						showPvP = false,
						showReady = true,
						showRole = true,
						showTitleBar = false,
						showVitality = false,
						x = 0,
						y = 188
					},
					player = {
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPLEFT",
						cx = 320,
						cy = 80,
						enabled = true,
						followMouse = false,
						longBuffs = {
							anchor = "LEFT",
							cxyExpired = 36,
							cxyNormal = 24,
							cyxExpired = 36,
							enabled = true
						},
						showCastBar = true,
						showCharge = true,
						showHealthAsPercent = false,
						showHealthText = true,
						showLevel = true,
						showLoot = false,
						showMark = true,
						showPlanar = true,
						showPortrait = true,
						showPowerAsPercent = false,
						showPowerText = true,
						showPvP = true,
						showReady = false,
						showRole = true,
						showTitleBar = true,
						showVitality = true,
						x = 520,
						y = 700
					},
					["player.pet"] = {
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPLEFT",
						cx = 240,
						cy = 60,
						enabled = true,
						followMouse = false,
						showCastBar = true,
						showCharge = false,
						showHealthAsPercent = false,
						showHealthText = true,
						showLevel = true,
						showLoot = true,
						showMark = true,
						showPlanar = false,
						showPortrait = true,
						showPowerAsPercent = false,
						showPowerText = true,
						showPvP = true,
						showReady = false,
						showRole = true,
						showTitleBar = true,
						showVitality = false,
						x = 278,
						y = 725
					},
					["player.target"] = {
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPCENTER",
						cx = 320,
						cy = 80,
						enabled = true,
						followMouse = false,
						showCastBar = true,
						showCharge = false,
						showHealthAsPercent = false,
						showHealthText = true,
						showLevel = true,
						showLoot = true,
						showMark = true,
						showPlanar = false,
						showPortrait = true,
						showPowerAsPercent = false,
						showPowerText = true,
						showPvP = true,
						showReady = false,
						showRole = true,
						showTitleBar = true,
						showVitality = false,
						x = 250,
						y = 700
					},
					["player.target.target"] = {
						anchorFrom = "TOPLEFT",
						anchorTo = "TOPCENTER",
						cx = 240,
						cy = 60,
						enabled = false,
						followMouse = false,
						showCastBar = true,
						showCharge = false,
						showHealthAsPercent = false,
						showHealthText = true,
						showLevel = true,
						showLoot = true,
						showMark = true,
						showPlanar = false,
						showPortrait = true,
						showPowerAsPercent = false,
						showPowerText = true,
						showPvP = true,
						showReady = false,
						showRole = true,
						showTitleBar = true,
						showVitality = false,
						x = 570,
						y = 727
					}
				},
				Version = "0.2.0"
			},
			Version = "0.2.0",
			globalFont = {
				defaultSize = 15,
				file = "fonts/arial.ttf",
				name = "Arial",
				src = "myUI"
			}
		}
	},
	UnitUpdateSpeed = 20,
	UpdateSpeed = 20,
	Version = "0.2.0"
}
